Smart Proxy - Bug #28041

Smart proxy is unable to bind port < 1024
10/11/2019 08:58 AM - Lukas Zapletal
Description

Symtoms are that systemd unit timeouts, no error message appears in logs tho and the port is not started.

History

#1 - 10/14/2019 03:17 PM - Ewoud Kohl van Wijngaarden

Note that the Linux kernel denies this capability since the service is started as a normal user.

#2 - 08/02/2021 03:59 PM - Lukas Zapletal

It prints this which is | think sufficient:

12: from

ntext.rb:474:

11: from

10: from

9: from

8: from

7: from
“listen'

6: from

/home/lzap/.rbenv/versions/2.7.2/1ib/ruby/gems/2.7.0/gems/logging-2.3.0/1ib/logging/diagnostic_co
in “block in create_with_logging_context'

/home/lzap/work/smart-proxy/lib/launcher.rb:
/home/lzap/work/smart-proxy/lib/launcher.rb:
/home/lzap/work/smart-proxy/lib/launcher.rb:
/home/lzap/work/smart-proxy/lib/launcher.rb:

/home/lzap/.rbenv/versions/2.

/home/lzap/.rbenv/versions/2.

n ‘create_listeners'

5: from
4: from
3: from
2: from

1: from

/home/lzap/.rbenv/versions/2.7.2/1ib/ruby/

/home/lzap/.rbenv/versions/2.
/home/lzap/.rbenv/versions/2.
/home/lzap/.rbenv/versions/2.
/home/lzap/.rbenv/versions/2.
/home/lzap/.rbenv/versions/2.

84 (Errno::EACCES)

#3 - 08/02/2021 03:59 PM - Lukas Zapletal

- Status changed from New to Rejected

05/20/2024
178:in "block in launch'
157:in “webrick_server'
157:in “each'
157:in “block in webrick_server'

2/1lib/ruby/gems/2.7.0/gems/webrick-1.7.0/1ib/webrick/ssl.rb:165:in

.2/1lib/ruby/gems/2.7.0/gems/webrick-1.7.0/1lib/webrick/utils.rb:60:1i

.2/1ib/ruby/2.7.0/socket.
.2/1lib/ruby/2.7.0/socket.
.2/1ib/ruby/2.7.0/socket.
2/1lib/ruby/2.7.0/socket.
.2/1lib/ruby/2.7.0/socket.
.7.0/socket.rb:201:1in

rb:
rb:
rb:
rb:
rb:
“bind':

763:
227:
227:
765:
201:

in
in
in
in
in

“tcp_server_sockets'

“foreach'

“each'

"block in tcp_server_sockets'
“listen'

Permission denied - bind(2) for [::]:
